﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Html;
using Docs.Excel;
using Docs.Excel.Converting;

namespace ConvertHTMLToExcel
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read the specified html file.
            HtmlDoc html = HtmlDoc.ReadHTML(@"..\..\..\PaymentPlan.html");

            // Convert Html table to Excel
            HtmlToExcel htmlexcel = new HtmlToExcel();
            ExcelWorkbook excel = htmlexcel.Convert(html);

            //Add text and save Excel file as XLSX format.
            excel.Worksheets[0].Cells["A1"].Value = "HTML to Excel";
            excel.WriteXLSX(@"..\..\..\Export_Html.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\Export_Html.xlsx");
        }
    }
}
