﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docs.Html;
using Docs.Excel;
using Docs.Excel.Converting;

namespace PreserveFormatting
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read the specified html file.
            HtmlDoc html = HtmlDoc.ReadHTML(@"..\..\..\Capitals.html");

            // Convert Html table to Excel with formatting preservation
            HtmlToExcel htmlexcel = new HtmlToExcel();
            htmlexcel.PreserveFormatting = true;
            ExcelWorkbook excel = htmlexcel.Convert(html);

            //Add text and save Excel file as XLSX format.
            excel.WriteXLSX(@"..\..\..\Export_Html.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\Export_Html.xlsx");

        }
    }
}
